Loading Packages in R

  • install.packages("Package_name") to install a package.
    • Before 1st use, but only once
    • Packages you need may already be installed
  • library(Package_name) to load a package.
    • In general, do this at start of session
  • Alternatively: ggplot2::ggplot().
    • “ggplot2” = package, “ggplot()” = function
library(tidyverse)
## ── Attaching core tidyverse packages ──────────────────────── tidyverse 2.0.0 ──
## ✔ dplyr     1.1.4     ✔ readr     2.1.5
## ✔ forcats   1.0.0     ✔ stringr   1.5.1
## ✔ ggplot2   3.5.0     ✔ tibble    3.2.1
## ✔ lubridate 1.9.3     ✔ tidyr     1.3.1
## ✔ purrr     1.0.2     
## ── Conflicts ────────────────────────────────────────── tidyverse_conflicts() ──
## ✖ dplyr::filter() masks stats::filter()
## ✖ dplyr::lag()    masks stats::lag()
## ℹ Use the conflicted package (<http://conflicted.r-lib.org/>) to force all conflicts to become errors

We’ll also need…

library(palmerpenguins)
library(ggthemes)